## org.hibernate.engine.jdbc
Class ReaderInputStream

    java.lang.Object
      java.io.InputStream
          org.hibernate.engine.jdbc.ReaderInputStream

All Implemented Interfaces:
  Closeable

Direct Known Subclasses:
  ReaderInputStream

    public class ReaderInputStream

extends InputStream

Exposes a `Reader` as an `InputStream`.

Author:
  Gavin King

Constructor Summary
`ReaderInputStream(Reader reader)`

Method Summary
`int` `read()`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReaderInputStream

    public ReaderInputStream(Reader reader)

Method Detail

### read

    public int read()
             throws IOException

  Specified by:
    `read` in class `InputStream`
  Throws:
    `IOException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.